diff -Nurp wp-tmkm-amazon-orig/wp-tmkm-amazon-function.php wp-tmkm-amazon/wp-tmkm-amazon-function.php
--- wp-tmkm-amazon-orig/wp-tmkm-amazon-function.php	2008-06-24 21:41:52.000000000 +0900
+++ wp-tmkm-amazon/wp-tmkm-amazon-function.php	2009-01-18 22:47:48.852000000 +0900
@@ -73,6 +73,7 @@ class GetAmazonXmlParse {
 			case asincode: $textdata = $item["ASIN"]; break;
 			case eancode: $textdata = $item["ItemAttributes"]["EAN"]; break;
 			case price: $textdata = $item["ItemAttributes"]["ListPrice"]["FormattedPrice"]; break;
+			case ourprice: $textdata = $item["OfferSummary"]["LowestNewPrice"]["FormattedPrice"]; break;
 			case lowestusedprice: $textdata = $item["OfferSummary"]["LowestUsedPrice"]["FormattedPrice"]; break;
 			case releasedate: $textdata = $item["ItemAttributes"]["ReleaseDate"]; break;
 			case runningtime: $textdata = $item["ItemAttributes"]["RunningTime"]; break;
diff -Nurp wp-tmkm-amazon-orig/wp-tmkm-amazon.php wp-tmkm-amazon/wp-tmkm-amazon.php
--- wp-tmkm-amazon-orig/wp-tmkm-amazon.php	2008-10-14 20:59:50.000000000 +0900
+++ wp-tmkm-amazon/wp-tmkm-amazon.php	2009-01-18 22:47:10.023875000 +0900
@@ -449,6 +449,7 @@ class MakeAmazonHtml {
 
 					if( $tmkm_amazon_settings['layout_type'] == 0 ) {
 						$Price = $this->amazonparse->get_amazon_text($item,'price');
+						$OurPrice = $this->amazonparse->get_amazon_text($item,'ourprice');
 						$LowestUsedPrice = $this->amazonparse->get_amazon_text($item,'lowestusedprice');
 						$ISBN10 = $this->amazonparse->get_amazon_text($item,'isbn10');
 						if( $LowestUsedPrice != '' ) {
@@ -501,7 +502,11 @@ class MakeAmazonHtml {
 									$output .= '</p>' . "\n";
 								}
 								$output .= "\t" . "<p><em>出版社：</em>$Manufacturer( $PublicationDate )</p>" . "\n";
-								$output .= "\t" . "<p>$Binding ( $Pages ページ )</p>" . "\n";
+								if( $Pages != '' ) {
+									$output .= "\t" . "<p>$Binding ( $Pages ページ )</p>" . "\n";
+								} else {
+									$output .= "\t" . "<p>$Binding</p>" . "\n";
+								}
 								break;
 							case 0: // Fully
 								$output .= "\t" . '<p><a href="'.$url.'"' . $windowtarget . '><img src="' . $mediumimage . '" border="0" alt="" /></a></p>' . "\n";
@@ -516,8 +521,15 @@ class MakeAmazonHtml {
 									$output .= '</p>' . "\n";
 								}
 								$output .= "\t" . "<p><em>出版社：</em>$Manufacturer( $PublicationDate )</p>" . "\n";
-								$output .= "\t" . "<p><em>定価：</em>$Price</p>" . "\n";
-								$output .= "\t" . "<p>$Binding ( $Pages ページ )</p>" . "\n";
+								$output .= "\t" . "<p><em>定価：</em>$Price$usedpricememo</p>" . "\n";
+								if( $OurPrice != '' ) {
+									$output .= "\t" . "<p><em>Amazon価格：</em>$OurPrice</p>" . "\n";
+								}
+								if( $Pages != '' ) {
+									$output .= "\t" . "<p>$Binding ( $Pages ページ )</p>" . "\n";
+								} else {
+									$output .= "\t" . "<p>$Binding</p>" . "\n";
+								}
 								$output .= "\t" . "<p>ISBN-10 : $ISBN10</p>" . "\n";
 								$output .= "\t" . "<p>ISBN-13 : $EANcode</p>" . "\n";
 								break;
@@ -544,6 +556,9 @@ class MakeAmazonHtml {
 								$output .= "\t" . '<p><a href="'.$url.'"' . $windowtarget . '>' . $Title . '</a></p>' . "\n";
 								$output .= "\t" . "<p><em>販売元：</em>$Manufacturer( $ReleaseDate )</p>" . "\n";
 								$output .= "\t" . "<p><em>定価：</em>$Price$usedpricememo</p>" . "\n";
+								if( $OurPrice != '' ) {
+									$output .= "\t" . "<p><em>Amazon価格：</em>$OurPrice</p>" . "\n";
+								}
 								$output .= "\t" . "<p><em>時間：</em>$RunningTime 分</p>" . "\n";
 								$output .= "\t" . "<p>$numofdisc" . " 枚組 ( " . $Binding . " )</p>" . "\n";
 								break;
@@ -571,6 +586,9 @@ class MakeAmazonHtml {
 								$output .= " / $Binding ( $ProductGroup )</p>\n";
 								$output .= "\t" . "<p>$Manufacturer( $ReleaseDate )</p>" . "\n";
 								$output .= "\t" . "<p><em>定価：</em>$Price$usedpricememo</p>" . "\n";
+								if( $OurPrice != '' ) {
+									$output .= "\t" . "<p><em>Amazon価格：</em>$OurPrice</p>" . "\n";
+								}
 								break;
 						}
 	
@@ -596,6 +614,9 @@ class MakeAmazonHtml {
 								} elseif( $LowestUsedPrice != '' ) {
 									$output .= "\t" . "<p><em>中古価格: </em>$LowestUsedPrice より</p>" . "\n";
 								}
+								if( $OurPrice != '' ) {
+									$output .= "\t" . "<p><em>Amazon価格：</em>$OurPrice</p>" . "\n";
+								}
 								$output .= "\t" . "<p>カテゴリ：$Binding</p>\n";
 								if( $ReleaseDate != '' ) { $output .= "\t" . "<p><em>発売日：</em>$ReleaseDate</p>" . "\n"; }
 								break;
